Loading...
Searching...
No Matches
AVFilter Struct Reference
libavfilter

Filter definition. More...

`#include <libavfilter/avfilter.h>`

## Data Fields

const char * | name
| Filter name.
const char * | description
| A description of the filter.
const AVFilterPad * | inputs
| List of static inputs.
const AVFilterPad * | outputs
| List of static outputs.
const AVClass * | priv_class
| A class for the private data, used to declare filter private AVOptions.
int | flags
| A combination of AVFILTER_FLAG_*.

## Detailed Description

Filter definition.

This defines the pads a filter contains, and all the callback functions used to interact with the filter.

Examples
  decode_filter_audio.c, decode_filter_video.c, filter_audio.c, and transcode.c.

Definition at line 216 of file avfilter.h.

## Field Documentation

## name

const char* AVFilter::name

Filter name.

Must be non-NULL and unique among filters.

Definition at line 220 of file avfilter.h.

## description

const char* AVFilter::description

A description of the filter.

May be NULL.

You should use the NULL_IF_CONFIG_SMALL() macro to define it.

Definition at line 227 of file avfilter.h.

## inputs

const AVFilterPad* AVFilter::inputs

List of static inputs.

NULL if there are no (static) inputs. Instances of filters with AVFILTER_FLAG_DYNAMIC_INPUTS set may have more inputs than present in this list.

Definition at line 236 of file avfilter.h.

## outputs

const AVFilterPad* AVFilter::outputs

List of static outputs.

NULL if there are no (static) outputs. Instances of filters with AVFILTER_FLAG_DYNAMIC_OUTPUTS set may have more outputs than present in this list.

Definition at line 245 of file avfilter.h.

## priv_class

const AVClass* AVFilter::priv_class

A class for the private data, used to declare filter private AVOptions.

This field is NULL for filters that do not declare any options.

If this field is non-NULL, the first member of the filter private data must be a pointer to AVClass, which will be set by libavfilter generic code to this class.

Definition at line 255 of file avfilter.h.

## flags

int AVFilter::flags

A combination of AVFILTER_FLAG_*.

Definition at line 260 of file avfilter.h.

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h